petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsPop

Pop the most recent PetscOptionsPush() to return to the previous default options

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsPop(void)

Logically collective on whatever communicator was associated with the call to PetscOptionsCreate()

### Notes

Use PetscOptionsPop() to return to the previous default options database Allows using different parts of a code to use different options databases

### See Also

PetscOptionsPop(), PetscOptionsCreate(), PetscOptionDestroy(), PetscOptionsInsert(), PetscOptionsSetValue(),
PetscOptionsLeft()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages